# API Reference

The Assistant SDK provides two primary APIs:

* [Assistant API](/reference/assistant-sdk-reference/api-reference/assistant.md) - manage active assistant session, access combined audio and other in room actions
* [Trigger API](/reference/assistant-sdk-reference/api-reference/trigger.md) - programmatically control assistants using [webhooks](/whereby-product-features/insights-suite-and-api/webhooks.md)

There can be used in tandem to create a rich, automated Assistant experience. The details of each API are outlined in the sections below.

{% content-ref url="/pages/Qv90lN7gxU2h1zG0atUn" %}
[Assistant](/reference/assistant-sdk-reference/api-reference/assistant.md)
{% endcontent-ref %}

{% content-ref url="/pages/GIU2rh8XcZEit0DwtqQX" %}
[Trigger](/reference/assistant-sdk-reference/api-reference/trigger.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whereby.com/reference/assistant-sdk-reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
